<div class='input-photo-gallery' {{did-insert this.setup}}>
  <div class='image-list'>
    <DragSortList @isHorizontal={{true}} @items={{this.value}} @dragEndAction={{this.dragEnd}} @handle='img' as |item
      index|>
      {{#if item.picture}}
      <div class='d-inline-block image-item-container d-flex m-0'>
        <div>
          <div class='image-item-container'>
            <Input::Image @picture={{item}} @onRemove={{fn this.remove index}} class='mb-1 me-1' />

            <button title={{t 'details' }} type='button' class='btn btn-secondary btn-details' {{on 'click' (fn
              this.showDetails index)}}>
              <FaIcon @icon='pen' />
            </button>
          </div>
        </div>
      </div>
      {{/if}}
    </DragSortList>
  </div>

  <button type='button' {{on 'click' this.selectFile}} class='btn btn-outline-secondary btn-image-add mb-3'>
    <FaIcon @icon='plus' />
    {{t 'select files'}}
  </button>

  {{! template-lint-disable require-input-label }}
  <input {{did-insert this.setupFileInput}} {{on 'change' this.fileSelected}} type='file'
    class='input-photo-gallery-input d-none' accept='image/*;capture=camera' multiple />
</div>

<Offcanvas @show={{this.showCanvas}} class='input-photo-gallery'>
  <div class='p-3'>
    <div class='mb-3 text-center'>
      {{!-- template-lint-disable require-valid-alt-text --}}
      <img class='selected-image' src={{this.selectedImage.md}} name={{this.selectedImage.name}} />
    </div>

    <div class='d-grid gap-2 mb-3'>
      <Input::Button @action={{this.rotate}} class='btn btn-primary btn-rotate' type='button'>
        <FaIcon @icon='undo' />
        {{capitalize (t 'rotate')}}
      </Input::Button>
    </div>

    <div class='mb-3'>
      <label for='{{this.elementId}}-picture-name'>{{capitalize
        (t 'picture name')
        }}</label>
      <Input @value={{this.pictureName}} class='form-control picture-name' id='{{this.elementId}}-picture-name'
        placeholder={{capitalize (t 'picture name' )}} />
    </div>

    <div class='mb-3'>
      <label for='{{this.elementId}}-picture-attributions'>{{capitalize
        (t 'attributions')
        }}</label>
      <Input @value={{this.pictureAttributions}} class='form-control picture-attributions'
        id='{{this.elementId}}-picture-attributions' placeholder={{capitalize (t 'attributions' )}} />
    </div>

    <div class='form-check'>
      <Input @checked={{this.is360}} @type='checkbox' class='form-check-input chk-enable-360'
        id='{{this.elementId}}-picture-360' />
      <label class='form-check-label' for='{{this.elementId}}-picture-360'>
        {{capitalize (t 'is 360 picture')}}
      </label>
    </div>
  </div>
</Offcanvas>